## gate.jape
Class Compiler

    java.lang.Object
      |
      +--gate.jape.Compiler

public class Compiler
extends Object

Compiler for JAPE files.

Field Summary
`private static boolean` `DEBUG` Debug flag
`(package private) static String` `defaultEncoding`
`private static boolean` `verbose` How much noise to make.

Constructor Summary
`Compiler()`

Method Summary
`static void` `compile(ArrayList fileNames)` The main compile method, taking a list of file names.
`static void` `compile(String japeFileName, String encoding)` The main compile method, taking a file name.
`static void` `emessage(String mess)` Ooops.
`(package private) static String` `japeNameToSaveName(String japeFileName)` Convert a .jape file name to a .ser file name.
`static void` `main(String[] args)` Take a list of .jape files names and compile them to .ser.
`static void` `message(String mess)` Hello? Anybody there??
`static Transducer` `parseJape(String japeFileName, String encoding)` Parse a .jape and return a transducer, or throw exception.
`static void` `saveJape(String japeFileName, Transducer transducer)` Save a .jape, or throw exception.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### verbose

    private static boolean verbose

  How much noise to make.

### defaultEncoding

    static String defaultEncoding

Constructor Detail

### Compiler

    public Compiler()

Method Detail

### main

    public static void main(String[] args)

  Take a list of .jape files names and compile them to .ser. Also recognises a -v option which makes it chatty.

### compile

    public static void compile(String japeFileName,
                               String encoding)

  The main compile method, taking a file name.

### compile

    public static void compile(ArrayList fileNames)

  The main compile method, taking a list of file names.

### parseJape

    public static Transducer parseJape(String japeFileName,
                                       String encoding)
                                throws JapeException

  Parse a .jape and return a transducer, or throw exception.

### saveJape

    public static void saveJape(String japeFileName,
                                Transducer transducer)
                         throws JapeException

  Save a .jape, or throw exception.

### japeNameToSaveName

    static String japeNameToSaveName(String japeFileName)

  Convert a .jape file name to a .ser file name.

### message

    public static void message(String mess)

  Hello? Anybody there??

### emessage

    public static void emessage(String mess)

  Ooops.